NumberValue (groovy 2.4.5 API)
Date: 2015-09-17

Package: groovy.json.internal

## [Java] Class NumberValue

- groovy.json.internal.NumberValue

- All Implemented Interfaces and Traits:
    Value

      public class NumberValue
      extends Number

  Authors:
    Rick Hightower

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NumberValue (Type type)`
    `NumberValue ()`
    `NumberValue (boolean chop, Type type, int startIndex, int endIndex, char[] buffer)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `BigDecimal` | `bigDecimalValue()`
    `BigInteger` | `bigIntegerValue()`
    `boolean` | `booleanValue()`
    `byte` | `byteValue()`
    `char` | `charValue()`
    `void` | `chop()`
    `Date` | `dateValue()`
    `double` | `doubleValue()`
    `boolean` | `equals(Object o)`
    `float` | `floatValue()`
    `int` | `hashCode()`
    `int` | `intValue()`
    `boolean` | `isContainer()`
    `long` | `longValue()`
    `short` | `shortValue()`
    `String` | `stringValue()`
    `String` | `stringValueEncoded()`
    `T` | `toEnum(Class<T> cls)`
    `static T` | `toEnum(Class<T> cls, int value)`
    `String` | `toString()`
    `Object` | `toValue()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Number` | `byteValue, shortValue, intValue, longValue, floatValue, doubleValue, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public NumberValue(Type type)

    - #### public NumberValue()

    - #### public NumberValue(boolean chop, Type type, int startIndex, int endIndex, char[] buffer)

  - ### Method Detail

    - #### public BigDecimal bigDecimalValue()

    - #### public BigInteger bigIntegerValue()

    - #### public boolean booleanValue()

    - #### public byte byteValue()

    - #### public char charValue()

    - #### public final void chop()

    - #### public Date dateValue()

    - #### public double doubleValue()

    - #### public boolean equals(Object o)

    - #### public float floatValue()

    - #### public int hashCode()

    - #### public int intValue()

    - #### public boolean isContainer()

    - #### public long longValue()

    - #### public short shortValue()

    - #### public String stringValue()

    - #### public String stringValueEncoded()

    - #### public T toEnum(Class<T> cls)

    - #### public static T toEnum(Class<T> cls, int value)

    - #### public String toString()

    - #### public final Object toValue()